package com.burtbeckwith.mvctest.service

import org.springframework.transaction.annotation.Transactional

import com.burtbeckwith.mvctest.domain.Book

class BookService implements IBookService {

	/**
	 * {@inheritDoc}
	 * @see com.burtbeckwith.mvctest.service.IBookService#getAllBooks()
	 */
	List<Book> getAllBooks() {
		return Book.list()
	}

	/**
	 * {@inheritDoc}
	 * @see com.burtbeckwith.mvctest.service.IBookService#getBook(long)
	 */
	Book getBook(long id) {
		return Book.get(id)
	}

	@Transactional
	void create(Book book) {
		book.save()
	}
}
