package com.burtbeckwith.mvctest.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.burtbeckwith.mvctest.domain.Book;
import com.burtbeckwith.mvctest.service.IBookService;

@Controller
@RequestMapping("/book.action")
public class AnnotatedController {

	private IBookService bookService;

	@Autowired
	public void setBookService(IBookService bookService) {
		this.bookService = bookService;
	}

	@RequestMapping(method = RequestMethod.GET)
	public String bookForm(ModelMap model)	{
		model.addAttribute(new Book());
		return "bookForm";
	}

	@RequestMapping(method = RequestMethod.POST)
	public String onSubmit(@ModelAttribute("book") Book book) {
		bookService.create(book);
		return "redirect:viewBooks.action";
	}
}
